Fisk {VGAM} | R Documentation

## The Fisk Distribution

### Description

Density, distribution function, quantile function and random generation for the Fisk distribution with shape parameter `a` and scale parameter `scale`.

### Usage

    dfisk(x, scale = 1, shape1.a, log = FALSE)
    pfisk(q, scale = 1, shape1.a, lower.tail = TRUE, log.p = FALSE)
    qfisk(p, scale = 1, shape1.a, lower.tail = TRUE, log.p = FALSE)
    rfisk(n, scale = 1, shape1.a)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. If `length(n) > 1` then the length is taken to be the number required.
`shape1.a` | shape parameter.
`scale` | scale parameter.
`log` | Logical. If `log = TRUE` then the logarithm of the density is returned.
`lower.tail, log.p` | Same meaning as in `pnorm` or `qnorm`.

### Details

See `fisk`, which is the VGAM family function for estimating the parameters by maximum likelihood estimation.

### Value

`dfisk` gives the density, `pfisk` gives the distribution function, `qfisk` gives the quantile function, and `rfisk` generates random deviates.

### Note

The Fisk distribution is a special case of the 4-parameter generalized beta II distribution.

### Author(s)

T. W. Yee and Kai Huang

### References

Kleiber, C. and Kotz, S. (2003) Statistical Size Distributions in Economics and Actuarial Sciences, Hoboken, NJ, USA: Wiley-Interscience.

### See Also

`fisk`, `genbetaII`.

### Examples

    fdata <- data.frame(y = rfisk(n = 1000, shape = exp(1), scale = exp(2)))
    fit <- vglm(y ~ 1, fisk(lss = FALSE), data = fdata, trace = TRUE)
    coef(fit, matrix = TRUE)
    Coef(fit)

[Package VGAM version 1.0-4 Index]